.header {
  height: 110px;
  padding: 20px 0;
  z-index: 99999;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  transition: 0.5s height;
  // .header__container
  &__container {
    display: flex;
    justify-content: space-between;
  }
  // .header__logo
  &__logo {
    margin-left: 60px;
    img {
      width: 79px;
      height: 69px;
      transition: 0.5s;
    }
  }
  // .header__menu
  &__menu {
  }
  &.__fixed {
    background-color: #fff;
    height: 90px;
    padding: 15px 0;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.1);
    .header__logo {
      img {
        width: 69px;
        height: 59px;
      }
    }
    .search__form {
      padding: 25px 0;
    }
  }
  @media (max-width: $md1) {
    height: 90px;
    &__logo {
      margin-left: 0px;
      img {
        width: 69px;
        height: 59px;
      }
    }
  }
}

.menu {
  display: flex;
  align-items: center;
  // .menu__burger

  &__burger {
    display: none;
    position: relative;
    width: 30px;
    height: 20px;
    margin: 0px 15px 0px 0px;
    cursor: pointer;
    order: 2;
    span {
      position: absolute;
      background-color: rgb(189, 140, 4);
      left: 0;
      width: 100%;
      height: 3px;
      top: 9px;
      border-radius: 1.5px;
      transition: background-color 0s ease 0.4s;

      &::before,
      &::after {
        content: '';
        position: absolute;
        background-color: rgb(189, 140, 4);
        width: 100%;
        height: 3px;
        left: 0;
        border-radius: 1.5px;
        transition: top 0.4s ease 0.4s, transform 0.4s ease 0s;
      }

      &::before {
        top: -10px;
      }

      &::after {
        top: 10px;
      }
    }
    &.__active {
      span {
        background-color: transparent;
        &::before,
        &::after {
          transition: top 0.4s ease 0s, transform 0.4s ease 0.4s;
        }
        &::before {
          top: 0;
          transform: rotate(-45deg);
        }
        &::after {
          top: 0;
          transform: rotate(45deg);
        }
      }
    }
    @media (max-width: $md1) {
      display: block;
    }
  }
  // .menu__body
  &__body {
    @media (max-width: $md1) {
      position: fixed;
      background-color: #fff;
      width: 100%;
      height: 100vh;
      left: 100%;
      top: 0;
      z-index: -1;
      padding-top: 150px;
      transition: 0.5s ease-in-out;
      &.__active {
        left: 0;
      }
    }
  }
  // .menu__list
  &__list {
    display: flex;
    align-items: center;
    height: 100%;
    li {
      margin: 0px 20px;
    }
    @media (max-width: $md1) {
      flex-direction: column;
      li {
        margin: 20px 0;
      }
    }
  }
  // .menu__link
  &__link {
    font-size: 16px;
    color: #2e2e2e;
    line-height: 21px;
    font-family: $fontRegular;
    transition: 0.2s;
    position: relative;
    padding-bottom: 3px;
    &::after {
      content: '';
      position: absolute;
      width: 0;
      height: 2px;
      background-color: #ad9a72;
      left: 50%;
      transform: translate(-50%, 0);
      bottom: 0;
      transition: 0.2s;
    }
    @media (max-width: $md1) {
      font-size: 24px;
    }
  }
  &__link:hover,
  &__link.active {
    color: #ad9a72;
    &:after {
      width: 100%;
    }
  }

  // .menu__search
  &__search {
    margin: 0px 0px 0px 30px;
    @media (max-width: $md1) {
      order: 1;
      margin: 0px 30px 0px 0px;
    }
  }
}
.search {
  // .search__button
  &__button {
    background-color: transparent;
    img {
      width: 15px;
      height: 21px;
      cursor: pointer;
    }
  }
  // .search__form
  &__form {
    display: none;
    position: fixed;
    z-index: 9999;
    width: 100%;
    background-color: #fff;
    left: 0;
    top: 0;
    padding: 35px 0px;
    @media (max-width: $md2) {
      padding: 25px 0px;
    }
    &-container {
      display: flex;
      width: 100%;
      height: 40px;
      font-family: $fontRegular;
    }
    input {
      border: 1px solid #ccc;
      width: calc(100% - 110px);
      margin-right: 10px;
      padding: 0 10px;
      height: 100%;
      font-family: $fontRegular;
      &::placeholder {
        font-family: inherit;
      }
    }
    button {
      background-color: transparent;
      width: 100px;
      border: 1px solid #5792dc;
    }
  }
  &.active {
    .search__form {
      display: block;
    }
  }
}
